"use strict";
var binding_scope_1 = require("./binding_scope");
var Binding = (function () {
    function Binding(runtimeIdentifier, implementationType, scopeType) {
        this.runtimeIdentifier = runtimeIdentifier;
        this.implementationType = implementationType;
        this.cache = null;
        if (typeof scopeType === "undefined") {
            this.scope = binding_scope_1.BindingScope.Transient;
        }
        else {
            if (binding_scope_1.BindingScope[scopeType]) {
                this.scope = scopeType;
            }
            else {
                var msg = "Invalid scope type " + scopeType;
                throw new Error(msg);
            }
        }
    }
    return Binding;
}());
exports.Binding = Binding;
